cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

Cisco Community Designated VIP Class of 2020

229
Views
0
Helpful
6
Replies
Beginner

UCSM & Blade Firmware

I am planning on running an Infra firmware upgrade on my current UCS domain. It's currently 3.2(1b) and we are planning the upgrade to 4.0(4e) so we can make use of some new M5 blades. The M5 blades are going to replace the existing M3 and M4 blades in the chassis in our environment.

 

As soon as the system is on 4.0(4e) we will be replacing the old blades, so I guess my question is whether or not I can leave the blades on the old firmware during the upgrade? I don't want to have to do firmware on all the blades just so I can pull them out, immediately after doing it. It's just wasted effort.

 

Can I leave the blades on 3.2(1b) while I upgrade the Infra packages to 4.0(4e)? Even if it's only for a very short time?

 

Thanks.

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

Re: UCSM & Blade Firmware

There are some significant changes to the CIMC/BIOS/Board controller between 3.12 and 4.0, and you definitely need the stair stepped process if you are on 3.12 (i.e. go to 3.2 or 3.13 prior to 4.0).

 

Kirk...

View solution in original post

6 REPLIES 6
Cisco Employee

Re: UCSM & Blade Firmware

Highlighted
Beginner

Re: UCSM & Blade Firmware

Apologies the blades are 3.1(2b).

 

I know that's not on the list, but will the system continue to operate at that revision? It's literally for a day or two before we will be replacing the blades anyway... so we don't want to update the firmware if we can avoid it.

Cisco Employee

Re: UCSM & Blade Firmware

While they should work, we have not tested it, so you may see some unexpected behavior.

Cisco Employee

Re: UCSM & Blade Firmware

Ive read this thread twice, and got the same from it each time. So here's the upgrade procedure you need (unless I should've read it 3x):

 

You need to upgrade UCS Infrastructure first, before the blades. This means that your blades will have older firmware after you upgrade the FIs. B200M5s can run 3.2. They should be the same version as the FIs, but you obviously cant do everything at the same time.

 

Upgrade your FIs to 4.x. Then put in your M5s. Upgrade the M5s to match the 4.x. Your existing blades can be upgraded during a maintenance window. Note: every blade should be at least 3.1(3) prior to the FI going to 4.x.

Cisco Employee

Re: UCSM & Blade Firmware

There are some significant changes to the CIMC/BIOS/Board controller between 3.12 and 4.0, and you definitely need the stair stepped process if you are on 3.12 (i.e. go to 3.2 or 3.13 prior to 4.0).

 

Kirk...

View solution in original post

Beginner

Re: UCSM & Blade Firmware

Thanks everyone for the responses on this one.

While the client was advised it was a bad idea, they decided to go to 4.0(4e) without doing the blades at the same time. Thankfully for them it didn't cause any issues.

Thanks.
CreatePlease to create content
Content for Community-Ad
FusionCharts will render here